@charset "UTF-8";
body .wp-block-navigation.is-style-hoyry-navigation-alatunniste {
  padding: 0;
}
body .wp-block-image.footer-text {
  padding: 0;
}
@media (max-width: 900px) {
  body .wp-block-media-text {
    margin-right: calc(var(--wp--style--root--padding-right) * -1) !important;
    margin-left: calc(var(--wp--style--root--padding-left) * -1) !important;
  }
}
@media (max-width: 1024px) {
  body .is-style-hoyry-highlight-carousel-alasivu {
    padding: 0 !important;
  }
}

.wp-block-media-text:not(.is-style-hoyry-media-text-artikkeli) .wp-block-buttons .wp-block-button {
  --hoyry-button-color: var(--wp--preset--color--white);
  --hoyry-button-color-hover: var(--wp--preset--color--custom-tumma-sininen);
  --hoyry-button-background-hover: var(--wp--preset--color--white);
  --hoyry-button-border-bottom: 1px solid var(--wp--preset--color--white);
  --hoyry-button-border-top: 1px solid var(--wp--preset--color--white);
  --hoyry-button-border-left: 1px solid var(--wp--preset--color--white);
  --hoyry-button-border-right: 1px solid var(--wp--preset--color--white);
  --hoyry-button-border-bottom-hover: 1px solid var(--wp--preset--color--white);
  --hoyry-button-border-top-hover: 1px solid var(--wp--preset--color--white);
  --hoyry-button-border-left-hover: 1px solid var(--wp--preset--color--white);
  --hoyry-button-border-right-hover: 1px solid var(--wp--preset--color--white);
  --hoyry-button-border-shadow-hover: none;
}

.wp-block-hoyry-highlight-carousel .hoyry-highlight-carousel-block .hoyry-highlight-carousel-arrows {
  --hoyry-highlight-carousel-arrows-justify-content: space-between;
  --highlight-carousel-arrows-margin-right: 1.5em;
  --highlight-carousel-arrows-margin-left: 1.5em;
  inset: 0;
}
.wp-block-hoyry-highlight-carousel.is-style-hoyry-highlight-carousel-talomallisto {
  z-index: 999 !important;
  overflow: visible;
}
.wp-block-hoyry-highlight-carousel.is-style-hoyry-highlight-carousel-talomallisto .hoyry-highlight-carousel-block {
  overflow: visible;
}
.wp-block-hoyry-highlight-carousel.is-style-hoyry-highlight-carousel-talomallisto .hoyry-highlight-carousel-block .hoyry-highlight-carousel-viewport.embla__viewport {
  overflow: visible;
}
.wp-block-hoyry-highlight-carousel.is-style-hoyry-highlight-carousel-talomallisto .hoyry-highlight-carousel-block .hoyry-highlight-carousel-viewport.embla__viewport .hoyry-highlight-carousel-container.embla__container {
  gap: 1em;
}
@media (max-width: 1024px) {
  .wp-block-hoyry-highlight-carousel.is-style-hoyry-highlight-carousel-talomallisto .wp-block-image {
    max-width: 3em;
  }
}

.wp-block-hoyry-tabs .hoyry-tabs-nav {
  justify-content: center;
  margin-bottom: 2rem;
}

.wp-block-hoyry-content-listing.is-carousel .hoyry-content-listing.embla {
  --hoyry-content-listing-carousel-dots-gap: 0;
  --hoyry-content-listing-carousel-dot-height: 3.5px;
  --hoyry-content-listing-carousel-dot-width: 15%;
  --hoyry-content-listing-carousel-dot-border-radius: 0;
  --hoyry-content-listing-carousel-dot-background: var(--wp--preset--color--custom-harma);
  --hoyry-content-listing-carousel-dot-border-top: 1px solid var(--wp--preset--color--custom-harma);
  --hoyry-content-listing-carousel-dot-border-right: 1px solid var(--wp--preset--color--custom-harma);
  --hoyry-content-listing-carousel-dot-border-bottom: 1px solid var(--wp--preset--color--custom-harma);
  --hoyry-content-listing-carousel-dot-border-left: 1px solid var(--wp--preset--color--custom-harma);
  --hoyry-content-listing-carousel-dot-background-active: var(--wp--preset--color--custom-custom-tumma-sininen);
  --hoyry-content-listing-carousel-dot-border-top-active: 1px solid var(--wp--preset--color--custom-tumma-sininen);
  --hoyry-content-listing-carousel-dot-border-right-active: 1px solid var(--wp--preset--color--custom-tumma-sininen);
  --hoyry-content-listing-carousel-dot-border-bottom-active: 1px solid var(--wp--preset--color--custom-tumma-sininen);
  --hoyry-content-listing-carousel-dot-border-left-active: 1px solid var(--wp--preset--color--custom-tumma-sininen);
}

.wp-block-hoyry-listing .wp-block-hoyry-listing-featured .hoyry-listing-featured-item .hoyry-listing-featured-item-container .hoyry-listing-featured-item-content .hoyry-listing-featured-item-content-container .hoyry-listing-featured-item-texts .hoyry-listing-featured-item-title {
  margin-bottom: 2em;
  order: 2;
}
.wp-block-hoyry-listing .wp-block-hoyry-listing-featured .hoyry-listing-featured-item .hoyry-listing-featured-item-container .hoyry-listing-featured-item-content .hoyry-listing-featured-item-content-container .hoyry-listing-featured-item-texts .hoyry-listing-item-meta-items {
  order: 3;
}
.wp-block-hoyry-listing .wp-block-hoyry-listing-featured .hoyry-listing-featured-item .hoyry-listing-featured-item-container .hoyry-listing-featured-item-content .hoyry-listing-featured-item-content-container .hoyry-listing-featured-item-texts .hoyry-listing-item-meta-items.hoyry-listing-item-taxonomies {
  order: 1;
  font-size: 16px;
  font-weight: 500;
  text-transform: uppercase;
  margin-bottom: 0.5em;
}
.wp-block-hoyry-listing .wp-block-hoyry-listing-featured .hoyry-listing-featured-item .hoyry-listing-featured-item-container .hoyry-listing-featured-item-content .hoyry-listing-featured-item-content-container .hoyry-listing-featured-item-texts .hoyry-listing-item-meta-items .hoyry-listing-item-meta-item.hoyry-listing-item-publish-date, .wp-block-hoyry-listing .wp-block-hoyry-listing-featured .hoyry-listing-featured-item .hoyry-listing-featured-item-container .hoyry-listing-featured-item-content .hoyry-listing-featured-item-content-container .hoyry-listing-featured-item-texts .hoyry-listing-item-meta-items .hoyry-listing-item-meta-item.hoyry-listing-item-custom-meta-floors, .wp-block-hoyry-listing .wp-block-hoyry-listing-featured .hoyry-listing-featured-item .hoyry-listing-featured-item-container .hoyry-listing-featured-item-content .hoyry-listing-featured-item-content-container .hoyry-listing-featured-item-texts .hoyry-listing-item-meta-items .hoyry-listing-item-meta-item.hoyry-listing-item-custom-meta-roof, .wp-block-hoyry-listing .wp-block-hoyry-listing-featured .hoyry-listing-featured-item .hoyry-listing-featured-item-container .hoyry-listing-featured-item-content .hoyry-listing-featured-item-content-container .hoyry-listing-featured-item-texts .hoyry-listing-item-meta-items .hoyry-listing-item-meta-item.hoyry-listing-item-custom-meta-bedroom, .wp-block-hoyry-listing .wp-block-hoyry-listing-featured .hoyry-listing-featured-item .hoyry-listing-featured-item-container .hoyry-listing-featured-item-content .hoyry-listing-featured-item-content-container .hoyry-listing-featured-item-texts .hoyry-listing-item-meta-items .hoyry-listing-item-meta-item.hoyry-listing-item-custom-meta-architect {
  display: none;
}
.wp-block-hoyry-listing .wp-block-hoyry-listing-content .hoyry-listing-item .hoyry-listing-item-container .hoyry-listing-item-content .hoyry-listing-item-content-container .hoyry-listing-item-texts .hoyry-listing-item-title {
  margin-bottom: 2em;
}
.wp-block-hoyry-listing .wp-block-hoyry-listing-content .hoyry-listing-item .hoyry-listing-item-container .hoyry-listing-item-content .hoyry-listing-item-content-container .hoyry-listing-item-texts .hoyry-listing-item-meta-items {
  order: 3;
}
.wp-block-hoyry-listing .wp-block-hoyry-listing-content .hoyry-listing-item .hoyry-listing-item-container .hoyry-listing-item-content .hoyry-listing-item-content-container .hoyry-listing-item-texts .hoyry-listing-item-meta-items .hoyry-listing-item-taxonomy {
  display: none;
}
.wp-block-hoyry-listing .wp-block-hoyry-listing-content .hoyry-listing-item .hoyry-listing-item-container .hoyry-listing-item-content .hoyry-listing-item-content-container .hoyry-listing-item-texts .hoyry-listing-item-meta-items.hoyry-listing-item-taxonomies {
  order: 1;
  font-size: 16px;
  font-weight: 500;
  text-transform: uppercase;
  margin-bottom: 0.5em;
}
.wp-block-hoyry-listing .wp-block-hoyry-listing-content .hoyry-listing-item .hoyry-listing-item-container .hoyry-listing-item-content .hoyry-listing-item-content-container .hoyry-listing-item-texts .hoyry-listing-item-meta-items.hoyry-listing-item-taxonomies .hoyry-listing-item-taxonomy {
  display: block;
}
.wp-block-hoyry-listing .wp-block-hoyry-listing-content .hoyry-listing-item .hoyry-listing-item-container .hoyry-listing-item-content .hoyry-listing-item-content-container .hoyry-listing-item-texts .hoyry-listing-item-meta-items.hoyry-listing-item-taxonomies [class*=hoyry-listing-item-custom-meta-] {
  display: none;
}

.wp-block-hoyry-testimonials .hoyry-testimonial .hoyry-testimonial-texts::before {
  content: "”";
  display: block;
  font-family: "Helvetica Neue", "Helvetica", "Arial", sans-serif;
  font-size: 90px;
  line-height: 0.5;
  color: var(--wp--preset--color--custom-linkin-hover);
}

main {
  overflow-x: hidden;
}
main .wp-block-media-text.is-style-hoyry-media-text-artikkeli {
  overflow: visible;
}
@media (min-width: 901px) {
  main .wp-block-media-text.is-style-hoyry-media-text-artikkeli.has-media-on-the-right .wp-block-media-text__media {
    margin-right: calc(-60vw + 100%) !important;
  }
}
@media (min-width: 901px) {
  main .wp-block-media-text.is-style-hoyry-media-text-artikkeli:not(.has-media-on-the-right) .wp-block-media-text__media {
    margin-left: calc(-60vw + 100%) !important;
  }
}
main .wp-block-media-text.is-style-hoyry-media-text-tayslevea-grafiikalla {
  overflow: visible;
}
@media (max-width: 901px) {
  main .wp-block-media-text.is-style-hoyry-media-text-tayslevea-grafiikalla .wp-block-media-text__content {
    padding: 20px !important;
  }
}
@media (min-width: 901px) {
  main .wp-block-media-text.is-style-hoyry-media-text-tayslevea-grafiikalla.has-media-on-the-right .wp-block-media-text__media {
    margin-right: calc(-50vw + 100%) !important;
  }
}
@media (min-width: 901px) {
  main .wp-block-media-text.is-style-hoyry-media-text-tayslevea-grafiikalla:not(.has-media-on-the-right) .wp-block-media-text__media {
    margin-left: calc(-50vw + 100%) !important;
  }
}
main .wp-block-media-text.is-style-hoyry-media-text-tayslevea-grafiikalla .wp-block-media-text__media {
  position: relative;
}
main .wp-block-media-text.is-style-hoyry-media-text-tayslevea-grafiikalla .wp-block-media-text__media img {
  position: relative;
  z-index: 0;
}
main .wp-block-media-text.is-style-hoyry-media-text-tayslevea-grafiikalla .wp-block-media-text__media::before {
  content: "";
  position: absolute;
  inset: 0;
  z-index: 1;
  pointer-events: none;
  background: rgba(0, 0, 0, 0.2);
}
main .wp-block-media-text.is-style-hoyry-media-text-tayslevea-grafiikalla .wp-block-media-text__media::after {
  content: "";
  position: absolute;
  inset: 0;
  z-index: 2;
  pointer-events: none;
  background-image: url("/wp-content/themes/hoyrymoottori-child/assets/images/sinulletehty.svg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: 60vw;
}
@media (min-width: 901px) {
  main .wp-block-media-text.is-style-hoyry-media-text-tayslevea-grafiikalla .wp-block-media-text__media::after {
    background-size: 362px;
  }
}

@media (max-width: 1266px) {
  body .wp-block-columns.are-vertically-aligned-center.is-layout-flex:has(.wp-block-hoyry-icon-list) {
    flex-direction: column !important;
  }
}
.wp-block-hoyry-icon-list .hoyry-icon-list-item-texts {
  flex-direction: column-reverse !important;
}
.wp-block-hoyry-icon-list .hoyry-icon-list-item-icon {
  height: auto !important;
}

@media (max-width: 1100px) {
  .wp-block-columns:has(.fluentform) {
    flex-direction: column-reverse;
  }
}
.hoyry-testimonials-arrows.embla__arrows.hoyry-carousel-arrows {
  position: absolute !important;
  bottom: 110% !important;
}

@media (max-width: 780px) {
  .wp-block-group.is-style-hoyry-group-somebanneri {
    margin-right: calc(var(--wp--style--root--padding-right) * -1) !important;
    margin-left: calc(var(--wp--style--root--padding-left) * -1) !important;
  }
}
@media (max-width: 1200px) {
  .is-style-hoyry-media-text-oletus {
    grid-template-columns: auto 50% !important;
  }
}
